Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.freedesktop.org/gstreamer/gst-plugins-rs.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorTim-Philipp Müller <tim@centricular.com>2023-04-08 19:27:32 +0300
committerTim-Philipp Müller <tim@centricular.com>2023-04-09 01:20:54 +0300
commit0b5cf4e5fdec5337e45af4015885a45191067aac (patch)
treec70c41bdbc237a3cb2c957695aec84feeb991f71 /ci
parent7c30430320abbd774ca174c5d2b495989e8f838c (diff)
ci: add check for symlinks
Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-rs/-/merge_requests/1169>
Diffstat (limited to 'ci')
-rwxr-xr-xci/check-for-symlinks.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/ci/check-for-symlinks.sh b/ci/check-for-symlinks.sh
new file mode 100755
index 000000000..ed71898f9
--- /dev/null
+++ b/ci/check-for-symlinks.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+LINKS=`find -type l`
+if test -z $LINKS; then
+ echo "No symlinks found."
+else
+ echo "===> FOUND SYMLINKS!"
+ echo
+ echo "$LINKS"
+ echo
+ echo "Please replace these with actual files."
+ exit 1;
+fi